# Wallpapers
{
  lib,
  theme,
  ...
}:

{
  services.hyprpaper.settings =
    let
      wallpaper1 = builtins.toString theme.wallpaper.monitor1;
      wallpaper2 = builtins.toString theme.wallpaper.monitor2;
    in
    {
      preload = lib.mkDefault [
        wallpaper1
        wallpaper2
      ];

      wallpaper =
        let
          common = import ../common.nix;
        in
        lib.mkDefault [
          "${common.monitor1},${wallpaper1}"
          "${common.monitor2},${wallpaper2}"
        ];
    };
}
